com.threerings.puzzle.util

## Interface PuzzleContext

All Superinterfaces:
  com.threerings.crowd.util.CrowdContext, ParlorContext, com.threerings.presents.util.PresentsContext

    public interface PuzzleContext
    extends ParlorContext

Provides access to entities needed by the puzzle services.

### Method Summary

All Methods Instance Methods Abstract Methods
`com.threerings.media.FrameManager` `getFrameManager()` Provides access to the frame manager.
`com.threerings.util.KeyboardManager` `getKeyboardManager()` Provides access to the keyboard manager.
`com.threerings.util.KeyDispatcher` `getKeyDispatcher()` Provides access to the key dispatcher.
`com.threerings.util.MessageManager` `getMessageManager()` Returns a reference to the message manager used by the client.
`com.threerings.util.Name` `getUsername()` Returns the username of the local user.

### Methods inherited from interface com.threerings.parlor.util.ParlorContext

`getParlorDirector`

### Methods inherited from interface com.threerings.crowd.util.CrowdContext

`clearPlaceView, getChatDirector, getLocationDirector, getOccupantDirector, setPlaceView`

### Methods inherited from interface com.threerings.presents.util.PresentsContext

`getClient, getConfig, getDObjectManager`

### Method Detail

#### getUsername

    com.threerings.util.Name getUsername()

Returns the username of the local user.

#### getMessageManager

    com.threerings.util.MessageManager getMessageManager()

Returns a reference to the message manager used by the client.

Specified by:
  `getMessageManager` in interface `com.threerings.crowd.util.CrowdContext`

#### getFrameManager

    com.threerings.media.FrameManager getFrameManager()

Provides access to the frame manager.

#### getKeyboardManager

    com.threerings.util.KeyboardManager getKeyboardManager()

Provides access to the keyboard manager.

#### getKeyDispatcher

    com.threerings.util.KeyDispatcher getKeyDispatcher()

Provides access to the key dispatcher.